Runtime

## org.eclipse.gmf.runtime.notation.datatype
Class GradientData

    java.lang.Object
      org.eclipse.gmf.runtime.notation.datatype.GradientData

    public class GradientData

extends java.lang.Object

Class defining gradient data

Since:
  1.2

Field Summary
`protected static int` `GRADIENT_COLOR1_DEFFAULT`
`protected static int` `GRADIENT_COLOR2_DEFFAULT`
`protected static int` `GRADIENT_STYLE_DEFAULT`

Constructor Summary
`GradientData()`
`GradientData(GradientData data)`
`GradientData(int color1, int color2, int style)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static GradientData` `getDefaultGradientData()`
`int` `getGradientColor1()`
`int` `getGradientColor2()`
`int` `getGradientStyle()`
`int` `hashCode()`
`void` `setGradientColor1(int gradientColor1)`
`void` `setGradientColor2(int gradientColor2)`
`void` `setGradientStyle(int gradientStyle)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GRADIENT_COLOR1_DEFFAULT

    protected static final int GRADIENT_COLOR1_DEFFAULT

See Also:
  Constant Field Values

### GRADIENT_COLOR2_DEFFAULT

    protected static final int GRADIENT_COLOR2_DEFFAULT

See Also:
  Constant Field Values

### GRADIENT_STYLE_DEFAULT

    protected static final int GRADIENT_STYLE_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### GradientData

    public GradientData()

### GradientData

    public GradientData(int color1,
                        int color2,
                        int style)

### GradientData

    public GradientData(GradientData data)

Method Detail

### getDefaultGradientData

    public static GradientData getDefaultGradientData()

### getGradientColor1

    public int getGradientColor1()

  Returns:
    the gradientColor1

### setGradientColor1

    public void setGradientColor1(int gradientColor1)

  Parameters:
    `gradientColor1` - the gradientColor1 to set

### getGradientColor2

    public int getGradientColor2()

  Returns:
    the gradientColor2

### setGradientColor2

    public void setGradientColor2(int gradientColor2)

  Parameters:
    `gradientColor2` - the gradientColor2 to set

### getGradientStyle

    public int getGradientStyle()

  Returns:
    the gradientStyle true is for vertical, false is for horizontal

### setGradientStyle

    public void setGradientStyle(int gradientStyle)

  Parameters:
    `gradientStyle` - the gradientStyle to set. true is for vertical, false is for horizontal

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.